Get reviews summary
curl --request GET \
--url https://api.birdeye.com/resources/v1/review/businessid/{businessId}/summaryimport requests
url = "https://api.birdeye.com/resources/v1/review/businessid/{businessId}/summary"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.birdeye.com/resources/v1/review/businessid/{businessId}/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ratings": [
{
"rating": 5,
"reviewCount": 140
}
],
"sources": [
{
"sourceName": "<string>",
"sourceAlias": "<string>",
"avgRating": 123,
"reviewCount": 123
}
]
}{
"code": 1167,
"message": "API key is missing"
}{
"code": 1161,
"message": "Invalid API key"
}{
"code": 1011,
"message": "Business id is invalid"
}{
"code": 89,
"message": "Rate limit exceeded"
}Reviews
Review Summary
Review Summary API returns the number of reviews based on the review source. It also returns the list of review sources and review ratings.
GET
/
v1
/
review
/
businessid
/
{businessId}
/
summary
Get reviews summary
Headers
e.g. application/json
e.g. [Required] Partner specific API key provided by Birdeye for data exchange.
Path Parameters
Id of the business.
Query Parameters
List of review status. Status “published” refers to featured reviews, while “parked” refers to non-featured reviews.
⌘I